'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isNormalObject = exports.isFunction = exports.isObject = exports.isArray = exports.isDate = undefined;

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var toString = Object.prototype.toString;

/**
 * 对象是否为date类型
 */
function isDate(val) {
  return toString.call(val) === '[object Date]';
}

/**
 * 对象是否为array类型
 */
function isArray(val) {
  return toString.call(val) === '[object Array]';
}

/**
 * 对象是否为对象类型
 */
function isObject(val) {
  return val !== null && (typeof val === 'undefined' ? 'undefined' : (0, _typeof3.default)(val)) === 'object';
}

/**
 * 对象是否为函数类型
 */
function isFunction(val) {
  return toString.call(val) === '[object Function]';
}

/**
 * 对象是否为普通对象类型
 */
function isNormalObject(val) {
  return toString.call(val) === '[object Object]';
}

exports.isDate = isDate;
exports.isArray = isArray;
exports.isObject = isObject;
exports.isFunction = isFunction;
exports.isNormalObject = isNormalObject;